Subject: Re: bug#74813: 31.0.50; scroll-down is 10x slower and laggy than scroll-up

From: Eval Exec <[email-masked]>
Date: Sun, 5 Jan 2025 11:05:58 +0800

I have a fever. I'll try again in three or four days.

On Sat, Jan 4, 2025, 20:05 Eli Zaretskii <[email-masked]> wrote:

> > From: Eval Exec <[email-masked]>
> > Date: Sat, 28 Dec 2024 21:31:28 +0800
> > Cc: [email-masked]
> >
> > Friendly Pong. I'm busy these days. I will upload a reproducible
> > minimal init.el tomorrow.
>
> Did you have time to come up with a reproducible recipe?
>
> >
> > On Sat, Dec 28, 2024 at 6:59 PM Eli Zaretskii <[email-masked]> wrote:
> > >
> > > > Cc: [email-masked]
> > > > Date: Thu, 12 Dec 2024 11:11:45 +0200
> > > > From: Eli Zaretskii <[email-masked]>
> > > >
> > > > > From: Eval Exec <[email-masked]>
> > > > > Date: Thu, 12 Dec 2024 15:59:51 +0800
> > > > >
> > > > >
> > > > > I opened a large rust file, about 5000 lines.
> > > > > scroll-up is quick and smooth, no laggy:
> > > > > [...]
> > > > >
> > > > > but scroll down is very laggy:
> > > > >
> > > > >         2667  87% - command-execute
> > > > >         2666  87%  - funcall-interactively
> > > > >         2666  87%   - evil-scroll-page-up
> > > > >         2666  87%    - scroll-down
> > > > >         2665  87%     - apply
> > > > >         2664  87%      - ad-Advice-scroll-down
> > > >                            ^^^^^^^^^^^^^^^^^^^^^
> > > > >         2663  87%       - #<primitive-function scroll-down>
> > > >
> > > > First, you have an advice on scroll-down.
> > > >
> > > > Furthermore, scrolling down exposes portions of a file that were
> never
> > > > seen before, which needs to fontify them.  If fontification is
> > > > expensive, it is expected that you will see some lags.  What happens
> > > > if you scroll down, then go back to the beginning, and then scroll
> > > > down again -- is scrolling down the second time much faster?
> > > >
> > > > Also, you didn't say which major mode did you use for this file.
> > >
> > > Ping!  Can you please answer my questions?
> >
>